#!/bin/bash

LENGTH=32

SECRET_KEY=$(openssl rand -base64 $LENGTH | tr -d '=' | tr -d '+' | tr -d '/' | tr -d ' ')
TRIMMED_KEY=$(cut -c1-32 <<< $SECRET_KEY)
echo "APP_SECRET=$TRIMMED_KEY" > .env.local
echo "APP_ENV=prod" >> .env.local
echo "APP_DEBUG=0" >> .env.local
echo "DATABASE_URL=\"sqlite:///%kernel.project_dir%/var/data.db\"" >> .env.local
echo "MESSENGER_TRANSPORT_DSN=doctrine://default?auto_setup=0" >> .env.local
